Permalink
Browse files

Lua 5.3 compatibility

  • Loading branch information...
mpeterv committed Dec 3, 2015
1 parent eed8338 commit 2d824d2fce31b6a9cc60b2c3f215fbbf1d99c611
Showing with 2 additions and 1 deletion.
  1. +1 −0 src/wsapi/ringer.lua
  2. +1 −1 src/wsapi/util.lua
View
@@ -5,6 +5,7 @@ local rings = require "rings"
local _M = {}
local init = [==[
local loadstring = loadstring or load
local app_name, bootstrap_code, is_file = ...
if bootstrap_code then
local bootstrap, err
View
@@ -174,7 +174,7 @@ function _M.make_env_post(pd, type, qs)
end
function _M.loadfile(filename, env)
if _VERSION == "Lua 5.2" then
if _VERSION ~= "Lua 5.1" then
return loadfile(filename, "bt", env)
else
local f, err = loadfile(filename)

0 comments on commit 2d824d2

Please sign in to comment.